onEvent('recipes', (event) => {

    const id_prefix = 'eidolon:kubejs/crucible';

    const recipes = [
      {
        steps: [
          {
            ingredients: [
              {
                 item: 'emendatusenigmatica:silver_ingot'
              },
              {
                 item: 'emendatusenigmatica:silver_ingot'
              },
              {
                 item: 'emendatusenigmatica:silver_ingot'
              },
              {
                 item: 'emendatusenigmatica:silver_ingot'
              }
            ]
          },
          {
            stirs: 1,
            ingredients: [
              { item: 'kubejs:holy_symbol' }
            ]
          }
        ],
        result: '4x kubejs:holy_ingot',
        id: 'holy_ingot'
      }
    ];

    recipes.forEach(recipe => {
      recipe.type = 'eidolon:crucible';
      recipe.result = Item.of(recipe.result).toResultJson();
      event.custom(recipe).id(`${id_prefix}/${recipe.id}`);
    });

    ores.forEach(ore => {
      var oreId = `forge:ores/${ore}`;
      var crystal = itemOf(`#mekanism:crystals/${ore}`);
      if(Item.exists(crystal)){
        event.custom({
          type: 'eidolon:crucible',
          steps: [
            {
              ingredients: [
                { tag: oreId }
              ]
            },
            {
              stirs: 2,
              ingredients: [
                { item: 'eidolon:enchanted_ash' }
              ]
            }
          ],
          result: Item.of(crystal,2).toResultJson()
        }).id(`${id_prefix}/${ore}_crystal`)
      }
    })
    
})